## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToWikiBaseHandler

### Document::ezcDocumentDocbookToWikiBaseHandler

### Class ezcDocumentDocbookToWikiBaseHandler

Basic converter which stores a list of handlers for each node in the docbook element tree. Those handlers will be executed for the elements, when found.

The handler can then handle the repective subtree.

Additional handlers may be added by the user to the converter class.

Source for this file: /Document/src/converters/element_visitor/docbook/wiki/handler.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToWikiBaseHandler

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentDocbookToWikiLiteralHandler | Visit inline literals
ezcDocumentDocbookToWikiItemizedListHandler | Visit itemized list / bullet lists.
ezcDocumentDocbookToWikiMediaObjectHandler | Visit media objects
ezcDocumentDocbookToWikiExternalLinkHandler | Visit external links.
ezcDocumentDocbookToWikiOrderedListHandler | Visit ordered list / enumerated lists
ezcDocumentDocbookToWikiSectionHandler | Visit docbook sections
ezcDocumentDocbookToWikiLiteralLayoutHandler | Visit literallayout elements
ezcDocumentDocbookToWikiBeginPageHandler | Visit begin page elements
ezcDocumentDocbookToWikiInternalLinkHandler | Visit internal links.
ezcDocumentDocbookToWikiIgnoreHandler | Handler for elements, which are safe to ignore.
ezcDocumentDocbookToWikiParagraphHandler | Visit paragraphs
ezcDocumentDocbookToWikiTableHandler | Visit tables.
ezcDocumentDocbookToWikiEmphasisHandler | Visit emphasis.

### Method Summary

protected string | `renderDirective( $name , $parameter , $options , [ $content = null] )` Render a directive

### Inherited Methods

From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### renderDirective

string renderDirective( string $name , string $parameter , $options , [string $content = null] )

Render a directive

Render a directive with the given paramters.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$parameter` | string |
`$options` | array |
`$content` | string |

Documentation generated by phpDocumentor 1.4.3